# Class Tracing.ContextTransformer<T>

java.lang.Object
com.google.adk.telemetry.Tracing.ContextTransformer<T>

Type Parameters:
  `T` - The type of the stream.

All Implemented Interfaces:
  `io.reactivex.rxjava3.core.CompletableTransformer, io.reactivex.rxjava3.core.FlowableTransformer<T,T>, io.reactivex.rxjava3.core.MaybeTransformer<T,T>, io.reactivex.rxjava3.core.SingleTransformer<T,T>`

Enclosing class:
  `Tracing`

public static final class Tracing.ContextTransformer<T> extends Object implements io.reactivex.rxjava3.core.FlowableTransformer<T,T>, io.reactivex.rxjava3.core.SingleTransformer<T,T>, io.reactivex.rxjava3.core.MaybeTransformer<T,T>, io.reactivex.rxjava3.core.CompletableTransformer
A transformer that re-activates a given context for the duration of the stream's subscription.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `io.reactivex.rxjava3.core.CompletableSource`
  `apply(io.reactivex.rxjava3.core.Completable upstream)`
  `org.reactivestreams.Publisher<T>`
  `apply(io.reactivex.rxjava3.core.Flowable<T> upstream)`
  `io.reactivex.rxjava3.core.MaybeSource<T>`
  `apply(io.reactivex.rxjava3.core.Maybe<T> upstream)`
  `io.reactivex.rxjava3.core.SingleSource<T>`
  `apply(io.reactivex.rxjava3.core.Single<T> upstream)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### apply

    public org.reactivestreams.Publisher<T> apply(io.reactivex.rxjava3.core.Flowable<T> upstream)
    Specified by:
      `apply` in interface `io.reactivex.rxjava3.core.FlowableTransformer<T,T>`

  - ### apply

    public io.reactivex.rxjava3.core.SingleSource<T> apply(io.reactivex.rxjava3.core.Single<T> upstream)
    Specified by:
      `apply` in interface `io.reactivex.rxjava3.core.SingleTransformer<T,T>`

  - ### apply

    public io.reactivex.rxjava3.core.MaybeSource<T> apply(io.reactivex.rxjava3.core.Maybe<T> upstream)
    Specified by:
      `apply` in interface `io.reactivex.rxjava3.core.MaybeTransformer<T,T>`

  - ### apply

    public io.reactivex.rxjava3.core.CompletableSource apply(io.reactivex.rxjava3.core.Completable upstream)
    Specified by:
      `apply` in interface `io.reactivex.rxjava3.core.CompletableTransformer`